Subject: Re: bug#56629: CC Mode 5.35.1 (C++//l); Cache state inconsistency

From: Alan Mackenzie <[email-masked]>
Date: Tue, 26 Jul 2022 19:53:02 +0000

Hello again, Michael.

On Sun, Jul 24, 2022 at 15:28:56 +0000, Alan Mackenzie wrote:

[ .... ]

> The cause of this bug is the text properties put on the <s and >s.  These
> are intended to be category properties in Emacs, but syntax-table
> properties in XEmacs.  The mechanism which tests the presence of the
> category property is chaotic in Emacs, though I think it works properly
> in the standalone CC Mode; the detection is (wrongly) done both at
> compile time and load time, and delivers different answers.  :-(

> I will sort this out and let you know when it's done.

I have now committed a patch for this to the savannah master branch,
which I am confident has sorted the problem out.

Could I ask you please to update your Emacs-29 to this branch, and test
it out on your real C++ code, and confirm that the bug is indeed fixed
(or that it's not fixed).  Then we can close the bug.  Thanks!

> > Emacs  : GNU Emacs 29.0.50 (build 2, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0)
> >  of 2022-07-15
> > Package: CC Mode 5.35.1 (C++//l)
> > Buffer Style: Pharos
> > c-emacs-features: (pps-extended-state col-0-paren posix-char-classes gen-string-delim gen-comment-delim syntax-properties 1-bit)

> [ .... ]

-- 
Alan Mackenzie (Nuremberg, Germany).